using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：培训记录参与人员
    /// </summary>
    [Description("培训记录参与人员")]
    public class T_SE_TRAIN_RECORD_USER : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Record","Nav_Users")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 导航: 培训记录
        /// </summary>
        [Description("导航: 培训记录")]
        public T_SE_TRAIN_RECORD Nav_Record { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [FormFieldTable]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 是否签到
        /// </summary>
        [Description("是否签到")]
        public bool OK { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        [DataFieldLength(50)]
        public string DEPARTMENT_NAME { get; set; }
        /// <summary>
        /// 岗位
        /// </summary>
        [Description("岗位")]
        [DataFieldLength(50)]
        public string POST_NAME { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [Description("培训状态")]
        [FormFieldTable]
        [EnumName("SETrainRecordUserStatusEnum")]
        public SETrainRecordUserStatusEnum STATUS { get; set; }
    }
}
